<template>
    <div class="container">

      <div class="row mt-2">
        <div class="col-12">
          <div class="card">
            <div class="card-header">
              <h3 class="card-title">Event Terkini</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
              <div class="row">
                <div class="col">

                </div>
                <div class="col-md-5">
                  <img src='/img/careerday.png' class="img-fluid" alt="Responsive image">
                </div>
                <div class="col">

                </div>
              </div>
              <div class="row mt-2">
                <div class="col">

                </div>
                <div class="col-md-5">
                  <router-link :to="`/listEvent`">
                  <button type="button" class="btn btn-block btn-success btn-lg">Register</button>
                  </router-link>
                </div>
                <div class="col">

                </div>
              </div>
            </div>
            <!-- /.card-body -->
            <div class="card-footer">
            </div>
          </div>
          <!-- /.card -->
        </div>
      </div>


      <!-- Modal -->
      <div class="modal fade" id="addNew" tabindex="-1" role="dialog" aria-labelledby="addNewLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" v-show="editmode" id="addNewLabel">Halaman Konfirmasi</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <form @submit.prevent="editmode ? updateEvent() : createEvent()">
              <div class="modal-body">
                <div class="form-group">
                  <input v-model="form.ID_EVENT" type="text" name="ID_EVENT"
                    placeholder="Nama Event" hidden
                    class="form-control" :class="{ 'is-invalid': form.errors.has('ID_EVENT') }">
                  <has-error :form="form" field="ID_EVENT"></has-error>
                </div>



                <div class="form-group">
                  <p>Apakah anda ingin registrasi event berikut ?</p>
                  <label>Nama Event :</label>
                  <input v-model="form.NAMA_EVENT" type="text" name="NAMA_EVENT"
                    placeholder="Nama Event" readonly
                    class="form-control" :class="{ 'is-invalid': form.errors.has('NAMA_EVENT') }">
                  <has-error :form="form" field="NAMA_EVENT"></has-error>
                </div>


              </div>
              <div class="modal-footer">
                <button v-show="editmode" type="submit" class="btn btn-success">Ya</button>
                <button type="button" class="btn btn-danger" data-dismiss="modal">Tidak</button>
              </div>
            </form>
        </div>
      </div>
      </div>


    </div>
</template>



<script>
import Form from 'vform'
    export default {
        data() {
          return {
            search: '',
            editmode: false,
            v_event_peserta : {},
            t_event : {},
            form: new Form({
              ID_EVENT: '',
              NAMA_EVENT: '',
              TYPE_EVENT: '',
              AWAL_PENDAFTARAN: '',
              AKHIR_PENDAFTARAN: '',
              TANGGAL_ACARA: '',
              HEADLINE: '',
            })
          }
        },
        methods: {
            loadEvents(){
                axios.get("api/validEvent").then(({data}) => (this.t_event = data));
                axios.get("api/historyEventPeserta").then(({data}) => (this.v_event_peserta = data));
            },
            editModal(t_event){
              this.editmode = true;
              this.form.reset();
              $('#addNew').modal('show');
              this.form.fill(t_event);
            },
            updateEvent(){
              //  console.log('Editing data');
              this.form.post('api/storePeserta')
              .then(() => {
                swal(
                  'Anda telah berhasil registrasi.',
                  'success'
                )
                $('#addNew').modal('hide')
                this.loadEvents();
              })
              .catch(() => {

              });
            },
        },
        created() {
            this.loadEvents();
        }
    }
</script>
